## r-bioc-scater 1.18.3+ds

=== DESCRIPTION ===
Package: scater
Type: Package
Authors@R: c(
        person("Davis", "McCarthy", role=c("aut"), email="davis@ebi.ac.uk"),
        person("Kieran", "Campbell", role=c("aut"), email="kieran.campbell@sjc.ox.ac.uk"),
        person("Aaron", "Lun", role = c("aut", "ctb"), email="infinite.monkeys.with.keyboards@gmail.com"),
        person("Quin", "Wills", role=c("aut"), email="qilin@quinwills.net"),
        person("Vladimir", "Kiselev", role=c("ctb"), email="vk6@sanger.ac.uk"),
        person("Alan", "O'Callaghan", role=c("ctb", "cre"), email="alan.ocallaghan@outlook.com"))
Version: 1.18.3
Date: 2020-11-07
License: GPL-3
Title: Single-Cell Analysis Toolkit for Gene Expression Data in R
Description: A collection of tools for doing various analyses of
        single-cell RNA-seq gene expression data, with a focus on
        quality control and visualization.
Depends: SingleCellExperiment, ggplot2
Imports: stats, utils, methods, grid, gridExtra, Matrix, BiocGenerics,
        S4Vectors, SummarizedExperiment, DelayedArray,
        DelayedMatrixStats, BiocNeighbors, BiocSingular, BiocParallel,
        scuttle, rlang, ggbeeswarm, viridis
Suggests: BiocStyle, biomaRt, cowplot, destiny, knitr, scRNAseq,
        robustbase, rmarkdown, Rtsne, uwot, NMF, testthat, pheatmap,
        Biobase
VignetteBuilder: knitr
biocViews: ImmunoOncology, SingleCell, RNASeq, QualityControl,
        Preprocessing, Normalization, Visualization,
        DimensionReduction, Transcriptomics, GeneExpression,
        Sequencing, Software, DataImport, DataRepresentation,
        Infrastructure, Coverage
Encoding: UTF-8
RoxygenNote: 7.1.1
URL: http://bioconductor.org/packages/scater/
BugReports: https://support.bioconductor.org/
git_url: https://git.bioconductor.org/packages/scater
git_branch: RELEASE_3_12
git_last_commit: a94e7f4
git_last_commit_date: 2020-11-07
Date/Publication: 2020-11-08
NeedsCompilation: no
Packaged: 2020-11-09 03:06:46 UTC; biocbuild
Author: Davis McCarthy [aut],
  Kieran Campbell [aut],
  Aaron Lun [aut, ctb],
  Quin Wills [aut],
  Vladimir Kiselev [ctb],
  Alan O'Callaghan [ctb, cre]
Maintainer: Alan O'Callaghan <alan.ocallaghan@outlook.com>

=== debian/changelog ===
r-bioc-scater (1.18.3+ds-4) unstable; urgency=medium

  * Team upload
  * Skip Testsuite: autopkgtest-pkg-r
    Closes: #982115

 -- Andreas Tille <tille@debian.org>  Sun, 07 Feb 2021 11:34:46 +0100

r-bioc-scater (1.18.3+ds-3) unstable; urgency=medium

  * Team upload.
  * Ignore some failing tests on i386
  * Standards-Version: 4.5.1 (routine-update)
  * Architecture: all

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jan 2021 15:50:02 +0100

r-bioc-scater (1.18.3+ds-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Restore build-dep on r-bioc-scuttle, r-bioc-delayedmatrixstats

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 22 Nov 2020 12:16:14 +0100

r-bioc-scater (1.18.3+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version

  [ Michael R. Crusoe ]
  * debian/control: build-dep on r-bioc-scuttle

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 22 Nov 2020 10:44:06 +0100

r-bioc-scater (1.16.2+ds-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 28 Oct 2020 11:37:07 +0100

r-bioc-scater (1.16.2+ds-1) unstable; urgency=medium

  * Initial release (closes: #969060)

 -- Steffen Moeller <moeller@debian.org>  Wed, 26 Aug 2020 16:52:49 +0200

=== debian/control ===
Source: r-bioc-scater
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
# Testsuite: autopkgtest-pkg-r # see bug #982115
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-singlecellexperiment,
               r-cran-ggplot2,
               r-cran-gridextra,
               r-cran-matrix,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-summarizedexperiment,
               r-bioc-biocneighbors,
               r-bioc-biocsingular,
               r-bioc-biocparallel,
               r-cran-rlang,
               r-cran-ggbeeswarm,
               r-cran-viridis,
               r-bioc-delayedmatrixstats,
               r-bioc-scuttle
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scater
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scater.git
Homepage: https://bioconductor.org/packages/scater/
Rules-Requires-Root: no

Package: r-bioc-scater
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Single-Cell Analysis Toolkit for Gene Expression Data in R
 A collection of tools for doing various analyses of
 single-cell RNA-seq gene expression data, with a focus on
 quality control and visualization.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-bioc-destiny, r-cran-uwot, r-cran-nmf, r-cran-rtsne, r-bioc-dropletutils, r-cran-pheatmap
Restrictions: allow-stderr

## r-bioc-scater 1.22.0%2Bds

=== debian/changelog ===
r-bioc-scater (1.22.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 22:13:33 +0100

r-bioc-scater (1.20.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R
  * Provide autopkgtest-pkg-r.conf to make sure Test-Depends will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database.

 -- Andreas Tille <tille@debian.org>  Sun, 12 Sep 2021 21:54:45 +0200

## r-bioc-scater 1.22.0+ds

=== DESCRIPTION ===
Package: scater
Type: Package
Authors@R: c(
        person("Davis", "McCarthy", role=c("aut"), email="davis@ebi.ac.uk"),
        person("Kieran", "Campbell", role=c("aut"), email="kieran.campbell@sjc.ox.ac.uk"),
        person("Aaron", "Lun", role = c("aut", "ctb"), email="infinite.monkeys.with.keyboards@gmail.com"),
        person("Quin", "Wills", role=c("aut"), email="qilin@quinwills.net"),
        person("Vladimir", "Kiselev", role=c("ctb"), email="vk6@sanger.ac.uk"),
        person("Felix G.M.", "Ernst", role=c("ctb"), email="felix.gm.ernst@outlook.com"),
        person("Alan", "O'Callaghan", role=c("ctb", "cre"), email="alan.ocallaghan@outlook.com"))
Version: 1.22.0
Date: 2021-10-08
License: GPL-3
Title: Single-Cell Analysis Toolkit for Gene Expression Data in R
Description: A collection of tools for doing various analyses of
        single-cell RNA-seq gene expression data, with a focus on
        quality control and visualization.
Depends: SingleCellExperiment, scuttle, ggplot2
Imports: stats, utils, methods, grid, gridExtra, Matrix, BiocGenerics,
        S4Vectors, SummarizedExperiment, DelayedArray,
        DelayedMatrixStats, beachmat, BiocNeighbors, BiocSingular,
        BiocParallel, rlang, ggbeeswarm, viridis, Rtsne, RColorBrewer,
        ggrepel
Suggests: BiocStyle, biomaRt, cowplot, destiny, knitr, scRNAseq,
        robustbase, rmarkdown, uwot, NMF, testthat, pheatmap, snifter,
        Biobase
VignetteBuilder: knitr
biocViews: ImmunoOncology, SingleCell, RNASeq, QualityControl,
        Preprocessing, Normalization, Visualization,
        DimensionReduction, Transcriptomics, GeneExpression,
        Sequencing, Software, DataImport, DataRepresentation,
        Infrastructure, Coverage
Encoding: UTF-8
RoxygenNote: 7.1.2
URL: http://bioconductor.org/packages/scater/
BugReports: https://support.bioconductor.org/
git_url: https://git.bioconductor.org/packages/scater
git_branch: RELEASE_3_14
git_last_commit: ea2c95c
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: no
Packaged: 2021-10-26 22:42:57 UTC; biocbuild
Author: Davis McCarthy [aut],
  Kieran Campbell [aut],
  Aaron Lun [aut, ctb],
  Quin Wills [aut],
  Vladimir Kiselev [ctb],
  Felix G.M. Ernst [ctb],
  Alan O'Callaghan [ctb, cre]
Maintainer: Alan O'Callaghan <alan.ocallaghan@outlook.com>

=== debian/control ===
--- 
+++ 
@@ -2,31 +2,36 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
-# Testsuite: autopkgtest-pkg-r # see bug #982115
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-singlecellexperiment,
+               r-bioc-scuttle,
                r-cran-ggplot2,
                r-cran-gridextra,
                r-cran-matrix,
                r-bioc-biocgenerics,
                r-bioc-s4vectors,
                r-bioc-summarizedexperiment,
+               r-bioc-delayedarray,
+               r-bioc-delayedmatrixstats,
+               r-bioc-beachmat,
                r-bioc-biocneighbors,
                r-bioc-biocsingular,
                r-bioc-biocparallel,
                r-cran-rlang,
                r-cran-ggbeeswarm,
                r-cran-viridis,
-               r-bioc-delayedmatrixstats,
-               r-bioc-scuttle
-Standards-Version: 4.5.1
+               r-cran-rtsne,
+               r-cran-rcolorbrewer,
+               r-cran-ggrepel
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scater
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scater.git
 Homepage: https://bioconductor.org/packages/scater/
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-scater
 Architecture: all

## r-bioc-scater 1.24.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -8,8 +8,8 @@
         person("Vladimir", "Kiselev", role=c("ctb"), email="vk6@sanger.ac.uk"),
         person("Felix G.M.", "Ernst", role=c("ctb"), email="felix.gm.ernst@outlook.com"),
         person("Alan", "O'Callaghan", role=c("ctb", "cre"), email="alan.ocallaghan@outlook.com"))
-Version: 1.22.0
-Date: 2021-10-08
+Version: 1.24.0
+Date: 2022-02-21
 License: GPL-3
 Title: Single-Cell Analysis Toolkit for Gene Expression Data in R
 Description: A collection of tools for doing various analyses of
@@ -20,10 +20,9 @@
         S4Vectors, SummarizedExperiment, DelayedArray,
         DelayedMatrixStats, beachmat, BiocNeighbors, BiocSingular,
         BiocParallel, rlang, ggbeeswarm, viridis, Rtsne, RColorBrewer,
-        ggrepel
-Suggests: BiocStyle, biomaRt, cowplot, destiny, knitr, scRNAseq,
-        robustbase, rmarkdown, uwot, NMF, testthat, pheatmap, snifter,
-        Biobase
+        RcppML, ggrepel
+Suggests: BiocStyle, biomaRt, cowplot, knitr, scRNAseq, robustbase,
+        rmarkdown, uwot, testthat, pheatmap, snifter, Biobase
 VignetteBuilder: knitr
 biocViews: ImmunoOncology, SingleCell, RNASeq, QualityControl,
         Preprocessing, Normalization, Visualization,
@@ -35,12 +34,12 @@
 URL: http://bioconductor.org/packages/scater/
 BugReports: https://support.bioconductor.org/
 git_url: https://git.bioconductor.org/packages/scater
-git_branch: RELEASE_3_14
-git_last_commit: ea2c95c
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 013f093
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 22:42:57 UTC; biocbuild
+Packaged: 2022-04-26 21:59:46 UTC; biocbuild
 Author: Davis McCarthy [aut],
   Kieran Campbell [aut],
   Aaron Lun [aut, ctb],

=== debian/changelog ===
r-bioc-scater (1.24.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: r-cran-rcppml
  * Ignore test requiring not yet packaged r-bioc-snifter
    Closes: #1011412

 -- Andreas Tille <tille@debian.org>  Tue, 31 May 2022 14:56:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,13 @@
 Source: r-bioc-scater
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scater
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scater.git
+Homepage: https://bioconductor.org/packages/scater/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -25,12 +30,8 @@
                r-cran-viridis,
                r-cran-rtsne,
                r-cran-rcolorbrewer,
+               r-cran-rcppml,
                r-cran-ggrepel
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scater
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scater.git
-Homepage: https://bioconductor.org/packages/scater/
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-scater

## r-bioc-scater 1.26.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -8,8 +8,8 @@
         person("Vladimir", "Kiselev", role=c("ctb"), email="vk6@sanger.ac.uk"),
         person("Felix G.M.", "Ernst", role=c("ctb"), email="felix.gm.ernst@outlook.com"),
         person("Alan", "O'Callaghan", role=c("ctb", "cre"), email="alan.ocallaghan@outlook.com"))
-Version: 1.24.0
-Date: 2022-02-21
+Version: 1.26.1
+Date: 2022-11-13
 License: GPL-3
 Title: Single-Cell Analysis Toolkit for Gene Expression Data in R
 Description: A collection of tools for doing various analyses of
@@ -20,9 +20,9 @@
         S4Vectors, SummarizedExperiment, DelayedArray,
         DelayedMatrixStats, beachmat, BiocNeighbors, BiocSingular,
         BiocParallel, rlang, ggbeeswarm, viridis, Rtsne, RColorBrewer,
-        RcppML, ggrepel
-Suggests: BiocStyle, biomaRt, cowplot, knitr, scRNAseq, robustbase,
-        rmarkdown, uwot, testthat, pheatmap, snifter, Biobase
+        RcppML, uwot, pheatmap, ggrastr, ggrepel
+Suggests: BiocStyle, snifter, cowplot, biomaRt, knitr, scRNAseq,
+        robustbase, rmarkdown, testthat, Biobase
 VignetteBuilder: knitr
 biocViews: ImmunoOncology, SingleCell, RNASeq, QualityControl,
         Preprocessing, Normalization, Visualization,
@@ -30,16 +30,16 @@
         Sequencing, Software, DataImport, DataRepresentation,
         Infrastructure, Coverage
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 URL: http://bioconductor.org/packages/scater/
 BugReports: https://support.bioconductor.org/
 git_url: https://git.bioconductor.org/packages/scater
-git_branch: RELEASE_3_15
-git_last_commit: 013f093
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: d73b6c0
+git_last_commit_date: 2022-11-13
+Date/Publication: 2022-11-13
 NeedsCompilation: no
-Packaged: 2022-04-26 21:59:46 UTC; biocbuild
+Packaged: 2022-11-13 23:06:23 UTC; biocbuild
 Author: Davis McCarthy [aut],
   Kieran Campbell [aut],
   Aaron Lun [aut, ctb],

=== debian/changelog ===
r-bioc-scater (1.26.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  * Build-Depends: r-cran-ggrastr
    Closes: #1024751

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 08:22:52 +0100

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,9 @@
                r-cran-rtsne,
                r-cran-rcolorbrewer,
                r-cran-rcppml,
+               r-cran-uwot,
+               r-cran-pheatmap,
+               r-cran-ggrastr,
                r-cran-ggrepel
 Testsuite: autopkgtest-pkg-r

## r-bioc-scater 1.28.0+ds

=== DESCRIPTION ===
Package: scater
Type: Package
Authors@R: c(
        person("Davis", "McCarthy", role=c("aut"), email="davis@ebi.ac.uk"),
        person("Kieran", "Campbell", role=c("aut"), email="kieran.campbell@sjc.ox.ac.uk"),
        person("Aaron", "Lun", role = c("aut", "ctb"), email="infinite.monkeys.with.keyboards@gmail.com"),
        person("Quin", "Wills", role=c("aut"), email="qilin@quinwills.net"),
        person("Vladimir", "Kiselev", role=c("ctb"), email="vk6@sanger.ac.uk"),
        person("Felix G.M.", "Ernst", role=c("ctb"), email="felix.gm.ernst@outlook.com"),
        person("Alan", "O'Callaghan", role=c("ctb", "cre"), email="alan.ocallaghan@outlook.com"),
        person("Yun", "Peng", role=c("ctb"), email="yunyunp96@gmail.com"),
        person("Leo", "Lahti", role=c("ctb"), email="leo.lahti@utu.fi",
	             comment = c(ORCID = "0000-0001-5537-637X"))
	)
Version: 1.28.0
Date: 2023-04-24
License: GPL-3
Title: Single-Cell Analysis Toolkit for Gene Expression Data in R
Description: A collection of tools for doing various analyses of
        single-cell RNA-seq gene expression data, with a focus on
        quality control and visualization.
Depends: SingleCellExperiment, scuttle, ggplot2
Imports: stats, utils, methods, Matrix, BiocGenerics, S4Vectors,
        SummarizedExperiment, DelayedArray, DelayedMatrixStats,
        beachmat, BiocNeighbors, BiocSingular, BiocParallel, rlang,
        ggbeeswarm, viridis, Rtsne, RColorBrewer, RcppML, uwot,
        pheatmap, ggrepel, densvis, ggrastr
Suggests: BiocStyle, snifter, cowplot, biomaRt, knitr, scRNAseq,
        robustbase, rmarkdown, testthat, Biobase, scattermore
VignetteBuilder: knitr
biocViews: ImmunoOncology, SingleCell, RNASeq, QualityControl,
        Preprocessing, Normalization, Visualization,
        DimensionReduction, Transcriptomics, GeneExpression,
        Sequencing, Software, DataImport, DataRepresentation,
        Infrastructure, Coverage
Encoding: UTF-8
RoxygenNote: 7.2.3
URL: http://bioconductor.org/packages/scater/
BugReports: https://support.bioconductor.org/
git_url: https://git.bioconductor.org/packages/scater
git_branch: RELEASE_3_17
git_last_commit: e654498
git_last_commit_date: 2023-04-25
Date/Publication: 2023-04-25
NeedsCompilation: no
Packaged: 2023-04-25 22:39:31 UTC; biocbuild
Author: Davis McCarthy [aut],
  Kieran Campbell [aut],
  Aaron Lun [aut, ctb],
  Quin Wills [aut],
  Vladimir Kiselev [ctb],
  Felix G.M. Ernst [ctb],
  Alan O'Callaghan [ctb, cre],
  Yun Peng [ctb],
  Leo Lahti [ctb] (<https://orcid.org/0000-0001-5537-637X>)
Maintainer: Alan O'Callaghan <alan.ocallaghan@outlook.com>

=== debian/changelog ===
r-bioc-scater (1.28.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 06 Aug 2023 23:33:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scater
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scater.git
 Homepage: https://bioconductor.org/packages/scater/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -14,7 +14,6 @@
                r-bioc-singlecellexperiment,
                r-bioc-scuttle,
                r-cran-ggplot2,
-               r-cran-gridextra,
                r-cran-matrix,
                r-bioc-biocgenerics,
                r-bioc-s4vectors,
@@ -33,8 +32,9 @@
                r-cran-rcppml,
                r-cran-uwot,
                r-cran-pheatmap,
-               r-cran-ggrastr,
-               r-cran-ggrepel
+               r-cran-ggrepel,
+               r-bioc-densvis,
+               r-cran-ggrastr
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-scater

## r-bioc-scater 1.30.1%2Bds

=== DESCRIPTION ===
--- 
+++ 
@@ -12,8 +12,8 @@
         person("Leo", "Lahti", role=c("ctb"), email="leo.lahti@utu.fi",
 	             comment = c(ORCID = "0000-0001-5537-637X"))
 	)
-Version: 1.28.0
-Date: 2023-04-24
+Version: 1.30.1
+Date: 2023-11-16
 License: GPL-3
 Title: Single-Cell Analysis Toolkit for Gene Expression Data in R
 Description: A collection of tools for doing various analyses of
@@ -21,12 +21,12 @@
         quality control and visualization.
 Depends: SingleCellExperiment, scuttle, ggplot2
 Imports: stats, utils, methods, Matrix, BiocGenerics, S4Vectors,
-        SummarizedExperiment, DelayedArray, DelayedMatrixStats,
-        beachmat, BiocNeighbors, BiocSingular, BiocParallel, rlang,
-        ggbeeswarm, viridis, Rtsne, RColorBrewer, RcppML, uwot,
-        pheatmap, ggrepel, densvis, ggrastr
-Suggests: BiocStyle, snifter, cowplot, biomaRt, knitr, scRNAseq,
-        robustbase, rmarkdown, testthat, Biobase, scattermore
+        SummarizedExperiment, DelayedArray, MatrixGenerics, beachmat,
+        BiocNeighbors, BiocSingular, BiocParallel, rlang, ggbeeswarm,
+        viridis, Rtsne, RColorBrewer, RcppML, uwot, pheatmap, ggrepel,
+        ggrastr
+Suggests: BiocStyle, snifter, densvis, cowplot, biomaRt, knitr,
+        scRNAseq, robustbase, rmarkdown, testthat, Biobase, scattermore
 VignetteBuilder: knitr
 biocViews: ImmunoOncology, SingleCell, RNASeq, QualityControl,
         Preprocessing, Normalization, Visualization,
@@ -38,12 +38,12 @@
 URL: http://bioconductor.org/packages/scater/
 BugReports: https://support.bioconductor.org/
 git_url: https://git.bioconductor.org/packages/scater
-git_branch: RELEASE_3_17
-git_last_commit: e654498
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 27d0d22
+git_last_commit_date: 2023-11-16
+Date/Publication: 2023-11-16
 NeedsCompilation: no
-Packaged: 2023-04-25 22:39:31 UTC; biocbuild
+Packaged: 2023-11-16 23:35:16 UTC; biocbuild
 Author: Davis McCarthy [aut],
   Kieran Campbell [aut],
   Aaron Lun [aut, ctb],

## r-bioc-scater 1.30.1+ds

=== debian/changelog ===
r-bioc-scater (1.30.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Run test only for amd64 and arm64

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 09:01:51 +0100

r-bioc-scater (1.30.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 08:39:27 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                r-bioc-s4vectors,
                r-bioc-summarizedexperiment,
                r-bioc-delayedarray,
-               r-bioc-delayedmatrixstats,
+               r-bioc-matrixgenerics,
                r-bioc-beachmat,
                r-bioc-biocneighbors,
                r-bioc-biocsingular,
@@ -33,7 +33,6 @@
                r-cran-uwot,
                r-cran-pheatmap,
                r-cran-ggrepel,
-               r-bioc-densvis,
                r-cran-ggrastr
 Testsuite: autopkgtest-pkg-r

## r-bioc-scater 1.32.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -12,8 +12,8 @@
         person("Leo", "Lahti", role=c("ctb"), email="leo.lahti@utu.fi",
 	             comment = c(ORCID = "0000-0001-5537-637X"))
 	)
-Version: 1.30.1
-Date: 2023-11-16
+Version: 1.32.1
+Date: 2024-07-18
 License: GPL-3
 Title: Single-Cell Analysis Toolkit for Gene Expression Data in R
 Description: A collection of tools for doing various analyses of
@@ -34,16 +34,17 @@
         Sequencing, Software, DataImport, DataRepresentation,
         Infrastructure, Coverage
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 URL: http://bioconductor.org/packages/scater/
 BugReports: https://support.bioconductor.org/
 git_url: https://git.bioconductor.org/packages/scater
-git_branch: RELEASE_3_18
-git_last_commit: 27d0d22
-git_last_commit_date: 2023-11-16
-Date/Publication: 2023-11-16
+git_branch: RELEASE_3_19
+git_last_commit: 0ad51ab
+git_last_commit_date: 2024-07-18
+Repository: Bioconductor 3.19
+Date/Publication: 2024-07-21
 NeedsCompilation: no
-Packaged: 2023-11-16 23:35:16 UTC; biocbuild
+Packaged: 2024-07-22 00:08:17 UTC; biocbuild
 Author: Davis McCarthy [aut],
   Kieran Campbell [aut],
   Aaron Lun [aut, ctb],

=== debian/changelog ===
r-bioc-scater (1.32.1+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:14:18 +0200

r-bioc-scater (1.32.1+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 16:15:19 +0200

r-bioc-scater (1.32.0+ds-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 11:05:10 +0200

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-singlecellexperiment,
-               r-bioc-scuttle,
+               r-bioc-singlecellexperiment (>= 1.26.0),
+               r-bioc-scuttle (>= 1.14.0),
                r-cran-ggplot2,
                r-cran-matrix,
-               r-bioc-biocgenerics,
-               r-bioc-s4vectors,
-               r-bioc-summarizedexperiment,
-               r-bioc-delayedarray,
-               r-bioc-matrixgenerics,
-               r-bioc-beachmat,
-               r-bioc-biocneighbors,
-               r-bioc-biocsingular,
-               r-bioc-biocparallel,
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-summarizedexperiment (>= 1.34.0),
+               r-bioc-delayedarray (>= 0.30.1),
+               r-bioc-matrixgenerics (>= 1.16.0),
+               r-bioc-beachmat (>= 2.20.0),
+               r-bioc-biocneighbors (>= 1.22.0),
+               r-bioc-biocsingular (>= 1.20.0),
+               r-bioc-biocparallel (>= 1.38.0),
                r-cran-rlang,
                r-cran-ggbeeswarm,
                r-cran-viridis,
@@ -39,9 +39,25 @@
 Package: r-bioc-scater
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-singlecellexperiment (>= 1.26.0),
+         r-bioc-scuttle (>= 1.14.0),
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-summarizedexperiment (>= 1.34.0),
+         r-bioc-delayedarray (>= 0.30.1),
+         r-bioc-matrixgenerics (>= 1.16.0),
+         r-bioc-beachmat (>= 2.20.0),
+         r-bioc-biocneighbors (>= 1.22.0),
+         r-bioc-biocsingular (>= 1.20.0),
+         r-bioc-biocparallel (>= 1.38.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-densvis (>= 1.14.0),
+          r-bioc-biomart (>= 2.60.1),
+          r-bioc-scrnaseq (>= 2.18.0),
+          r-bioc-biobase (>= 2.64.0)
 Description: Single-Cell Analysis Toolkit for Gene Expression Data in R
  A collection of tools for doing various analyses of
  single-cell RNA-seq gene expression data, with a focus on

## r-bioc-scater 1.34.0+ds

=== DESCRIPTION ===
Package: scater
Type: Package
Authors@R: c(
        person("Davis", "McCarthy", role=c("aut"), email="davis@ebi.ac.uk"),
        person("Kieran", "Campbell", role=c("aut"), email="kieran.campbell@sjc.ox.ac.uk"),
        person("Aaron", "Lun", role = c("aut", "ctb"), email="infinite.monkeys.with.keyboards@gmail.com"),
        person("Quin", "Wills", role=c("aut"), email="qilin@quinwills.net"),
        person("Vladimir", "Kiselev", role=c("ctb"), email="vk6@sanger.ac.uk"),
        person("Felix G.M.", "Ernst", role=c("ctb"), email="felix.gm.ernst@outlook.com"),
        person("Alan", "O'Callaghan", role=c("ctb", "cre"), email="alan.ocallaghan@outlook.com"),
        person("Yun", "Peng", role=c("ctb"), email="yunyunp96@gmail.com"),
        person("Leo", "Lahti", role=c("ctb"), email="leo.lahti@utu.fi", comment = c(ORCID = "0000-0001-5537-637X")),
        person("Tuomas", "Borman", role = c("ctb"), comment = c(ORCID = "0000-0002-8563-8884"))
    )
Version: 1.34.0
Date: 2024-07-18
License: GPL-3
Title: Single-Cell Analysis Toolkit for Gene Expression Data in R
Description: A collection of tools for doing various analyses of
        single-cell RNA-seq gene expression data, with a focus on
        quality control and visualization.
Depends: SingleCellExperiment, scuttle, ggplot2
Imports: stats, utils, methods, Matrix, BiocGenerics, S4Vectors,
        SummarizedExperiment, MatrixGenerics, SparseArray,
        DelayedArray, beachmat, BiocNeighbors, BiocSingular,
        BiocParallel, rlang, ggbeeswarm, viridis, Rtsne, RColorBrewer,
        RcppML, uwot, pheatmap, ggrepel, ggrastr
Suggests: BiocStyle, DelayedMatrixStats, snifter, densvis, cowplot,
        biomaRt, knitr, scRNAseq, robustbase, rmarkdown, testthat,
        Biobase, scattermore
VignetteBuilder: knitr
biocViews: ImmunoOncology, SingleCell, RNASeq, QualityControl,
        Preprocessing, Normalization, Visualization,
        DimensionReduction, Transcriptomics, GeneExpression,
        Sequencing, Software, DataImport, DataRepresentation,
        Infrastructure, Coverage
Encoding: UTF-8
RoxygenNote: 7.3.2
URL: http://bioconductor.org/packages/scater/
BugReports: https://support.bioconductor.org/
git_url: https://git.bioconductor.org/packages/scater
git_branch: RELEASE_3_20
git_last_commit: 08b5dc0
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
NeedsCompilation: no
Packaged: 2024-10-30 02:40:36 UTC; biocbuild
Author: Davis McCarthy [aut],
  Kieran Campbell [aut],
  Aaron Lun [aut, ctb],
  Quin Wills [aut],
  Vladimir Kiselev [ctb],
  Felix G.M. Ernst [ctb],
  Alan O'Callaghan [ctb, cre],
  Yun Peng [ctb],
  Leo Lahti [ctb] (<https://orcid.org/0000-0001-5537-637X>),
  Tuomas Borman [ctb] (<https://orcid.org/0000-0002-8563-8884>)
Maintainer: Alan O'Callaghan <alan.ocallaghan@outlook.com>

=== debian/changelog ===
r-bioc-scater (1.34.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 21:31:01 +0100

r-bioc-scater (1.34.0+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 14:34:58 +0100

=== debian/control ===
Source: r-bioc-scater
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scater
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scater.git
Homepage: https://bioconductor.org/packages/scater/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-singlecellexperiment,
               r-bioc-scuttle,
               r-cran-ggplot2,
               r-cran-matrix,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-summarizedexperiment,
               r-bioc-matrixgenerics,
               r-bioc-sparsearray,
               r-bioc-delayedarray,
               r-bioc-beachmat,
               r-bioc-biocneighbors,
               r-bioc-biocsingular,
               r-bioc-biocparallel,
               r-cran-rlang,
               r-cran-ggbeeswarm,
               r-cran-viridis,
               r-cran-rtsne,
               r-cran-rcolorbrewer,
               r-cran-rcppml,
               r-cran-uwot,
               r-cran-pheatmap,
               r-cran-ggrepel,
               r-cran-ggrastr
Testsuite: autopkgtest-pkg-r

Package: r-bioc-scater
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Single-Cell Analysis Toolkit for Gene Expression Data in R
 A collection of tools for doing various analyses of
 single-cell RNA-seq gene expression data, with a focus on
 quality control and visualization.

## r-bioc-scater 1.34.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scater
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scater.git
 Homepage: https://bioconductor.org/packages/scater/
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -19,7 +19,6 @@
                r-bioc-s4vectors,
                r-bioc-summarizedexperiment,
                r-bioc-matrixgenerics,
-               r-bioc-sparsearray,
                r-bioc-delayedarray,
                r-bioc-beachmat,
                r-bioc-biocneighbors,

## r-bioc-scater 1.34.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -12,8 +12,8 @@
         person("Leo", "Lahti", role=c("ctb"), email="leo.lahti@utu.fi", comment = c(ORCID = "0000-0001-5537-637X")),
         person("Tuomas", "Borman", role = c("ctb"), comment = c(ORCID = "0000-0002-8563-8884"))
     )
-Version: 1.34.0
-Date: 2024-07-18
+Version: 1.34.1
+Date: 2024-03-03
 License: GPL-3
 Title: Single-Cell Analysis Toolkit for Gene Expression Data in R
 Description: A collection of tools for doing various analyses of
@@ -40,12 +40,12 @@
 BugReports: https://support.bioconductor.org/
 git_url: https://git.bioconductor.org/packages/scater
 git_branch: RELEASE_3_20
-git_last_commit: 08b5dc0
-git_last_commit_date: 2024-10-29
+git_last_commit: 9e21ae5
+git_last_commit_date: 2025-03-03
 Repository: Bioconductor 3.20
-Date/Publication: 2024-10-29
+Date/Publication: 2025-03-03
 NeedsCompilation: no
-Packaged: 2024-10-30 02:40:36 UTC; biocbuild
+Packaged: 2025-03-04 00:01:41 UTC; biocbuild
 Author: Davis McCarthy [aut],
   Kieran Campbell [aut],
   Aaron Lun [aut, ctb],

=== debian/changelog ===
r-bioc-scater (1.34.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Mar 2025 10:32:54 +0900

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/scater.html .*/scater_(.*).tar.gz
